Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/fail2ban: new aport

From: Jeff Bilyk <jbilyk_at_gmail.com>
Date: Mon, 7 Feb 2011 20:15:03 +0000

ref #525
---
 testing/fail2ban/APKBUILD |   35 +++++++++++++++++++++++++++++++++++
 1 files changed, 35 insertions(+), 0 deletions(-)
 create mode 100644 testing/fail2ban/APKBUILD
diff --git a/testing/fail2ban/APKBUILD b/testing/fail2ban/APKBUILD
new file mode 100644
index 0000000..5e6a0fe
--- /dev/null
+++ b/testing/fail2ban/APKBUILD
_at_@ -0,0 +1,35 @@
+# Contributor: Jeff Bilyk <jbilyk_at_gmail.com>
+# Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
+pkgname=fail2ban
+pkgver=0.8.4
+pkgrel=0
+pkgdesc="Scans log files for login failures then updates iptables to reject originating ip address"
+url="http://www.fail2ban.org"
+arch="noarch"
+license="GPLv2"
+depends="python iptables"
+makedepends="python"
+install=""
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.bz2"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --root "$pkgdir" || return 1
+}
+
+md5sums="df94335a5d12b4750869e5fe350073fa  fail2ban-0.8.4.tar.bz2"
-- 
1.7.3.5
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Mon Feb 07 2011 - 20:15:03 UTC